local _, core = ...; -- Namespace

local AceGUI = LibStub("AceGUI-3.0")


function core.CraftedMounts(container)

local frame = AceGUI:Create("Frame")
frame:SetTitle("Crafted Mounts")
frame:SetStatusText("|cff00C78CWorthIt-Guides")
frame:SetWidth(400)
frame:SetHeight(500)
frame:SetLayout("Fill")


scrollcontainer = AceGUI:Create("SimpleGroup") -- "InlineGroup" is also good
scrollcontainer:SetFullWidth(true)
scrollcontainer:SetFullHeight(true) -- probably?
scrollcontainer:SetLayout("Fill") -- important!

frame:AddChild(scrollcontainer)

scroll = AceGUI:Create("ScrollFrame")
scroll:SetLayout("Flow") -- probably?
scrollcontainer:AddChild(scroll)


-- Vial Of The Sands

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Vial of the Sands:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Starting with the “Crème de la Crème” of crafted mount the Vial of the Sands. Now this mount is of course one of the most difficult to obtain the recipe as this can only drop out of Canopic jars from Tol'Vir Fragment solves through Archaeology. This can only drop from these jars which is at a 2% drop chance per solve and this drop chance for the recipe does contribute to the price of this mount.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Though once you have the recipe you will of course be wanting to craft this as this crafted mount is one of the best for returns in relation to gold making. Though this mount is quite expensive to craft as this requires:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Pyrite Ore: x72 / Pyrium Bar: x36 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Volatile Fire: x120 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Volatile Water: x120 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Volatile Air: x120 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Volatile Life: x128 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Whiptail: x128 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Azshara's Veil: x64 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Cinderbloom: x64 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Albino Cavefish: x8 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("these are the base mats required for this craft and this is further refined into four different main items to craft this mount. Which first we will look at TrueGold which can be crafted through Alchemy using Volatile Water, Air , Fire and also your Pyrium Bars. This is not on a daily cooldown to do but the price per craft can be a major factor on weather it is profitable to craft this mount. This is where we can breakdown our crafting with Alchemy to produce more bars for the same amount of mats lowering the overall crafting cost for the following mount. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("This is done by using the Transmutation Master ability for Alchemist's. The proc chance for additional transmutes is around 20% yield more than you would standard crafting. This can reduce the price even more and means you can be a bit more competitive when selling this on the auction house against others. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Not only this but we can use this type of Mastery with a second Alchemist through Elixir Master to reduce the other craft needed for this mount. These are the Flask of Titanic Strength and the Flask of the Winds. These use the herbs and Volatile Life in order to craft these and some of these herbs can fetch a high price if you are just sourcing these materials from the Auction House. However we can use what we did with transmutes with Elixir Master to produce the 20% more Flasks for the following price increasing production value for the next craft of our mount and so on.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Lastly we will be wanting to look at the Deepstone Oil which is derived from Albino Cavefish in Deepholm. These can be farmed up and depending on how many you wish to craft this would be better served farming a mass of these for future craft as well. However this has no need for Masteries in Alchemy to do for this craft to obtain more but this already has an inbuilt proc chance for this which is a yield of 50% so for ever 100 Oil you craft you on average will get 150 for the one hundred you craft reducing the price of this craft even more.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("After sourcing all of our additional crafts for this mount you will be wanting to look at obtaining the investment items which is one Pyrium Laced Crystalline Vial and eight Sands of Time. Now the baseline cost for these is around 29,000 Gold upfront but here is the thing. We can reduce the cost of this even more by reputation. The reputation you will be wanting is by getting Uldum Accord reputation from the Uldum N'zoth Invasions from Battle For Azeroth as it progresses you will be seeing a reduction of cost for these baseline materials. We can use this to bring the production cost of this mount even more. At Exalted reputation it will reduce the price of the mats from 29,000 gold to 23,200 gold, this is definitely well worth your time doing as this means more profit in the long run of selling this mount. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("One keynote thing you may want to bare in mind is this reduction caused by reputation can be bypassed with the use of the Goblin racial which gives you the full reduction without any reputation required which is handy if you are Horde based this will save you a lot of time and more time focusing on sourcing materials and also other crafts.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)


-- Mekginners Chopper

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mekgineer's Chopper:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Moving onto the Mekgineer's Chopper mount. This recipe can be obtained by being Exulted with the Alliance Vanguard or Horde Expedition. This can be bought from there respective vendors but first we will need the reputation in order to buy this recipe. You will need to take you Tabard off and head over towards the Pit of Saron dungeon and set it to Heroic difficulty. You will then be wanting to pull the trash at the front of the dungeon avoiding the bosses as you don't want to be locked to the dungeon as once you have killed the trash you will want to jump out of the instance and reset to repeat this ten times. This should take you around four hours or forty runs to become exulted where at the end you will be able to purchase the recipe for your Engineer. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Once you have the recipe you will be wanting to craft this mount. This is fairly straight forward and this will require you to get:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Titanium Bar: x36 / Titanium Ore: x72")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Eternal Fire: x12 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Eternal Shadow: x12 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Eternal Earth: x12 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Cobalt Ore: x40 / Cobalt Bar: x40 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Arctic Fur: x2 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("We can jump onto the Titansteel first as you only need twelve of these to get started. This will be using your Titanium Bars and Enteral to craft. Where the Titanium can be transmuted with a transmute master for 20% greater yield from Saronite Bars to Titanium Bars this is something that can fluctuate quite a bit and will need to be double checked before crafting. The next materials you will need is the Eternal which you can either buy off of the Auction house or you can Purchase these from the Frozen Orb Vendor in Northrend Dalaran.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("You are able to purchase the Frozen Orbs from the vendor next to the Auction House in Dalaran as well for around 60 gold. This means that you can source cheap Eternal Shadows and Fire. Eternal Earths don't tend to sell for that much so this might be a good idea to just source them from Mining or the Auction House.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("The next item you will be needing to source is Cobalt Bolts these can be derived from Cobalt Ore which can be farmed best from the Borean Tundra in Northrend. This is of course one of the easiest materials to source as you do not require many to craft you bolt, however you can also take note of the additional bolts that are crafted from per craft of each bolt. Meaning that when you craft one bolt in your engineering you have a chance to create either one or three bolts per craft, which is quite handy all things considered.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Lastly you will be required to source Arctic Fur, this can be farmed through Skinning in the open world but seeming as you only require two per mount it is a better use of time to just buy this off of the auction house. However if you do want to source everything yourself then I would take your Skinning character to Ice Crown Citadel and go to the Doctor Putricide. Before you go to him you will see two giant dogs these can be killed and skinned for Arctic fur at a high drop chance saving you time instead of doing an hours farm in the open world hoping for a drop.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Lastly you will want to make your way over towards K3 in Storm Peaks for the baseline materials in which you can purchase these from the vendor next to the flight master. This will require you to buy eight Goblin Machined Pistons and one Elementium-Plated Exhaust Pipe which will cost you a flat rate of 12,500 gold per mount crafted.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Panther Mounts

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Panther Mounts:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Now for Panthers, these are one of the staple crafted mounts. You first obtain the recipe from the Quartermaster of “The Order of the Cloud Serpent”. Two recipes can be purchased at reputation Revered and another three at Exulted. To get your reputation to max as fast as possible, you will need to farm Onyx Eggs after you have done the intro quest in the jade forest for the Cloud Serpents. These Onyx Eggs are found just off of the shore on a small archipelago in the jade forest. However this will take a while but it is definitely the fastest way to level you your reputation to get the recipes.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("For crafting Panther mounts you will be required to obtain:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Living Steel: x4 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Primordial Ruby, Sun's Radiance, Wild Jade, River's Heart: x20 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("• Serpents Eye: x2 ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Starting off with Living Steel we can break this down by utilising our Alchemy for the Riddle Steel craft as this will not have a cooldown for the amount of Living Steel we can create. However we can further make use of this craft by once again using the 20% proc rate of the Transmutation Master ability to create more Living Steel for future crafts of this mount bringing the overall mounts crafting price down into the future. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("As for the Gems we will be wanting to either source these from the auction house but in most cases these are over priced and will cost you more then using Alchemy once again for this with the transmutes. For example we can take one Golden Lotus, one Lapis Lazuli and then transmuting them at know cooldown for the higher gem of River's Heart which we can create for a reduced price making the crafted mount more cost effective. Along with this we should already have our Transmutation Master which we used for the Riddle Steel craft and thus we can get more gems for future crafts of these mounts reducing the cost of these mount even more.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Lastly we will be wanting to source Serpents Eye's, this can be created quite easily for prospecting Ghost Iron Ore. However we can also buy these direct from the auction house depending on the price of course. You can also source these from the Spirit of Harmony vendor in the Vale of Eternal Blossoms for a one to one ratio and if proven cheaper will make it more cost effective to source your materials. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Finally we can look at the Orb of Mystery which can be bought from Big Keech in the Vale of Eternal Blossoms once again but this will cost you a flat rate of 20,000 gold per mount crafted meaning that your mount will always cost you at least 20,000 gold no matter if you farmed all of the materials yourself, so that I something you may want to bare in mind before doing this craft into the future.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
-- Sky Golem


  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Sky Golem:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Recipe: World Drop – Vale of Eternal Blossoms")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("If you are wanting to get into the Sky Golem mount crafting you will be wanting to know before hand. The Sky Golem will take 30 days to craft the full mount this of course is not due to the 30x Living Steel to take but this is due to the Jard's Peculiar Energy Source which is an item that is a daily cooldown. This will require you to craft this once a day for 30 days, alone this will take sometime but the best method to get the most out of this crafted mount is setting up a production on multiple Engineers with the recipe and by using this you can produce one mount per month, this in turn will increase the supply you will be wanting to produce and thus have a steady supply over the next 30 days meaning you will be able to almost always have them on sale on the auction house. One keynote for this is to take in mind is that you can also reduce the cost of the Living Steel used by Transmuting Ghost Iron Bars – Trillium Bars – Living Steel without cooldown and with transmutation master you can produce more living steel over time. However I would make sure to set up a tillers farm as if you plant snakeroot you will be able to loot enough ghost iron ore for your craft each day instead of farming the mass amounts of ore needed for this mount.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Steel Bound Harness

  local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Steel Bound Harness:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Recipe: Drop: Tichondrius  - the Nighthold ( must be Blacksmith to get / not droppable on LFR )")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Ah, the Steel Bound Harness, one of the mounts that is rather easy to get hold of the recipe but is rather annoying to produce on a large scale. This is due to the Bloods of Sargaras, these are soulbound and only drop rather infrequently. To counter this I would recommend having Blacksmithing and Herbalism on your character. This is because you will obtain bloods faster by doing gathering professions, if your Legion Herbalism is at rank two or three. The best farm to combine with obtaining herbs is currently the Darkheart Thicket farm where you will be wanting to go into the respective dungeon and clearing the mobs up to the second boss, this is because the Lashers in the dungeon will be able to be herbed for Dreamleaf. Not only does this give you extra materials from the nightmare pods you obtain while gathering but this produces a lot of extra bloods for you craft so you can sell those mats and obtain gold that way but also gather the extra mats for crafting you mount. In regards to the other mats used for this craft they are relatively inexpensive to buy on the auction house.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  -- Xiwyllag ATV
  
    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Xiwyllag ATV:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Recipe: K.U.J.O – Operation Mechagon – Engineering Recipe")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Recipe: K.U.J.O – Operation Mechagon – Blacksmithing Recipe")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("In regards to the Gallywix ATV we will be wanting to craft, there are one main items to obtain. We first start off with the gathering on Explsom. This can be easily done by either crafting bracer's from the cloth, leather and ore. Typically you will be wanting to go for the cheapest you can craft as the rate of Explsom per bracer's is 1 in 10 and this means when you are scrapping these you will get one Explsom for every ten bracer's you scrap. In order to scrap these items you will be wanting to go to either your scrap'o'matic in either Boralus or Zandalar. This is a very simple process and does not take long to set up as it requires you to scrap one thing given by a quest giver to unlock, once this has been unlocked you will be able to scrap as much as you like to generate as much Explsom as you need. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
    local desc = AceGUI:Create("Label")
  desc:SetText("Following on from that you will need to gather the rest of the mats for this craft the Insulated Wiring and Chemical Blasting Cap's can be bought from any Engineering vendor so this is a pretty easy way of going about getting hold of these. The rest of the mats required for the rest of the crafts will mean Mining is required in Battle for Azeroth zone from Monelite, Storm Silver and Platinum Ore. These can be farmed up but in most cases they are relatively inexpensive and very well can be bought off of the auction house reducing time spent for this craft.  Next you will be wanting to craft the Monelite Reinforced Chassis and Super-Charged Engine from Blacksmithing and Engineering respectively and once crafted you can click on either one to combine for the result being the mount which you can now sell.")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

-- Mecha Mogul Mk2

    local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Mecha-Mogul Mk2:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Recipe: Challengers Cashé – The MOTHERLODE – Mogul Razdunk")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Moving onto the Mech-Mogul Mk2, this mount is definitely a time expensive mount to craft which also contributes to it's value. However much like the Gallywix ATV this will require you to obtain twenty Explsom for you to craft this mount. The thing with this mount production is that you will need to run a dungeon called “THE MOTHERLODE!!” on either Heroic or Mythic to obtain all of the key note items for this mount. Quite a few come specifically from Mogul Razdunk and the rest can be found throughout the dungeon however these cannot be farmed from multiple characters to reduce time spent but only the crafting character for the items are classed as soulbound meaning you will not be able to trade these. Though this does take sometime if you add this into a daily rotation these days as a run per day this should not take that much time to craft. I would suggest think of it like your daily cool down for the Sky Golem as it will take multiple days to craft and by the end of your craft sessions you will have this mount to sell. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  
 -- Kypyrium Rocket / World Spinner
 
     local desc = AceGUI:Create("Label")
  desc:SetText("|cffFFC125Kypyrium Rocket / World Spinner:")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 20, '')
  scroll:AddChild(desc)
  
  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)
  
  local desc = AceGUI:Create("Label")
  desc:SetText("Recipe: Goblin / Gnomish Engineering Trainer ( Capital City ) ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)

  local desc = AceGUI:Create("Label")
  desc:SetText("Towards crafting the Geosynchronous World Spinner and Depleated Kypyrium Rocket you will need to craft a couple of key note item this can be helped by using Alchemy with it's Transmutation master ability and general transmutes. This is because they will require you to craft Trillium Bars and Living Steel which can be crafted through alchemy for typically a reduce cost as well as proccing more through the transmutation master ( 20% on Average ). the rest of the mats can easily  be bought off of the auction house as these don't tend to sell for that much gold and the amount of materials needed to craft the rest in small compared to the Trillium Bars and Living Steel. However these mount cost a great deal more gold to craft as these will require three Orb's of Mystery from Big Keech in the Vale of Eternal Blossom from 20,000 Gold each equalling in 60,000 gold invested into each mount which can be quite daunting if you are just getting into crafting mounts for gold so you may want to consider if you want to sell this mount as the cost to profit is quite good, it may take some time for a sale of this mount to go through. ")
  desc:SetFullWidth(true)
  desc:SetFont("Fonts\\FRIZQT__.TTF", 13, '')
  scroll:AddChild(desc)

  local Space = AceGUI:Create("Label")
  Space:SetText("  ")
  Space:SetFullWidth(true)
  scroll:AddChild(Space)



























end